Skip to content
Guides
OrdersOrders
order:update

Import validated order

POST/v1/orders/imports

Import validated order. A successful request returns HTTP 202 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orders/imports" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "clientRunId": "7204558912004325301",    "assetId": "7204558912004325301",    "checksum": "example"  }'
{  "id": "7204558912004325301",  "status": "pending",  "resource": "example",  "format": "example",  "createdOn": "2026-08-01T15:30:00Z"}